Bug 283271 - When re entering a busy unsuscribed group, pan hangs.
When re entering a busy unsuscribed group, pan hangs.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pan (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 18:22 EDT by stanl
Modified: 2009-01-08 23:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:52:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stanl 2007-09-07 18:22:39 EDT
Description of problem:  If pan is asked to go into a busy group it has been
into before, but that is not subscribed to, it seems to download all of the new
headers for the group, and then hangs.  It uses all the CPU it can get, but
never seems to accomplish anything.  My guess is infinite loop.


Version-Release number of selected component (if applicable):

pan-0.132-1.fc8

How reproducible:  It seems to happen whenever the number of new headers is
larger than a certain number.  I think it is in the low thousands, but I'm not sure.


Steps to Reproduce:
1. Enter an unsuscribed newsgroup that is fairly busy, the binary groups are good.
2. Wait a week or two.
3. Go back into the group.  Pan should hang.
  
Actual results:  Hang.


Expected results:  Header pane is active with all new headers.


Additional info:  Version of pan in Fedora7 works fine.
Comment 1 Alexander Dalloz 2007-09-12 19:31:38 EDT
Fedora 7 has the same pan release as upcoming F8 has, for which you reported
this bug. So on F7 current pan works properly without the described bahaviour?
Comment 2 stanl 2007-09-18 00:12:56 EDT
The new version of pan, 132-2 that fixed the problem with the large jpg files
seems to have fixed this as well.  It is slower than F7, but the group does come
up after a while with the header pane properly filled.  
Comment 3 Bug Zapper 2008-04-04 09:47:55 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:46:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:52:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.